import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/device_managment/ac/view/ac_device_control.dart';
import 'package:syncrow_web/pages/device_managment/all_devices/models/devices_model.dart';
import 'package:syncrow_web/pages/device_managment/ceiling_sensor/view/ceiling_sensor_controls.dart';
import 'package:syncrow_web/pages/device_managment/living_room_switch/view/living_room_device_control.dart';
import 'package:syncrow_web/pages/device_managment/wall_sensor/view/wall_sensor_conrtols.dart';

mixin RouteControlsBasedCode {
  Widget routeControlsWidgets({required AllDevicesModel device}) {
    switch (device.productType) {
      case '3G':
        return LivingRoomDeviceControl(
          device: device,
        );
      case 'GW':
        return const SizedBox();
      case 'DL':
        return const SizedBox();
      case 'WPS':
        return WallSensorControls(device: device);
      case 'CPS':
        return CeilingSensorControls(
          device: device,
        );
      case 'AC':
        return AcDeviceControl(device: device);
      default:
        return const SizedBox();
    }
  }
}
